1. 安装MYSQL

note: 如果是新购买的服务器,可能需要升级软件安装源。
否则会出现如下错误:
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Unable to locate package mysql-server
E: Unable to locate package mysql-client

升级命令:
apt-get update

1.1 安装命令

1
apt-get -y install mysql-server mysql-client

你会被要求提供MySQL的root用户密码,总共输入两次,一次输入,一次确认。我们从安装信息我们可以知道3件事:

  • 安装的MySQL的版本,此处安装的是5.7
  • 依赖包:libcgi-fast-perl libcgi-pm-perl libencode-locale-perl libevent-core-2.0-5 libfcgi-perl libhtml-parser-perl libhtml-tagset-perl libhtml-template-perl libhttp-date-perl libhttp-message-perl libio-html-perl liblwp-mediatypes-perl liburi-perl mysql-client mysql-client-5.7 mysql-client-core-5.7 mysql-common mysql-server mysql-server-5.7 mysql-server-core-5.7
  • MySQL配置文件的位置:/etc/mysql/my.cnf, update-alternatives: using /etc/mysql/my.cnf.fallback to provide /etc/mysql/my.cnf (my.cnf) in auto mode,如果没有my.cnf.fallback这个文件,可能引发错误,解决办法:《ubuntu16.04安装mysql报错解决》

阅读剩下更多

默认配图